Skip to navigation

Assign permission profiles by email address

View as Markdown

Sets permission profiles for one or more products for a given user. The user is specified by the email property in the request body.

Required authentication scopes: user_write.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID GUID
accountIdstringRequiredformat: "uuid"
The account ID GUID

Request

This endpoint expects an object: userProductPermissionProfilesRequest

emailstringRequired
The email address associated with the user whose permissions you want to update. This property is required.
product_permission_profileslist of objectsRequired
A list of one or more products and their associated permissions.

Response

OK
user_idstringOptionalformat: "uuid"
The ID of the user.
account_idstringOptionalformat: "uuid"
The ID of the account.
product_permission_profileslist of objectsOptional
A list of one or more products and their respective permissions.